using System;
using Docs.Word;


namespace SampleManager
{
	class Paragraphs_TabStops
	{
		internal static Document Main1()
		{
			//	Create a new document and gets first section
			Document Doc = Document.CreateNew();
			Section Sect = Doc.Sections[0];

			//	Create tab stops with given positions
			//	Alignment and Leader properties are set to default values
			TabStops TabStops = new TabStops(150, 300);

			//	Also you can create tab stops with given parameters,
			//	specifying alignment, leader and positions as shown below in the commented line
			//TabStops TabStops = new TabStops(Alignment.Left, Leader.Dash, 150, 300);
			
			//	Add four paragraphs and sets their tab stops setting
			Paragraph Par1 = Sect.AddParagraph("Planet \t Diameter \t Distance from the Sun");
			Par1.Style.TabStops = TabStops;
			Paragraph Par2 = Sect.AddParagraph("Mercury \t 4'880 \t 57'910'00");
			Par2.Style.TabStops = TabStops;
			Paragraph Par3 = Sect.AddParagraph("Venus \t 12'103 \t 108'200'000");
			Par3.Style.TabStops = TabStops;
			Paragraph Par4 = Sect.AddParagraph("Earth \t 12'756 \t 149'600'000");
			Par4.Style.TabStops = TabStops;
			Paragraph Par5 = Sect.AddParagraph("Mars \t 6'794 \t 227'940'000");
			Par5.Style.TabStops = TabStops;

			//	Make the first paragraph bold
			Par1.Textruns.Style.FontStyle.Bold = true;

			return Doc;
		}
	}
}
